import { PlayerEntity } from "./PlayerEntity";
import {Zone} from "@prisma/client";

export class LoadedZoneEntity
{
    zone: Zone;
    players: Map<string, PlayerEntity>;

    constructor(zone: Zone) {
        this.zone = zone;
        this.players = new Map();
    }

    getZone() {
        return this.zone;
    }

    addPlayer(player: PlayerEntity) {
        this.players.set(player.id, player);
    }

    removePlayer(player: PlayerEntity) {
        this.players.delete(player.id);
    }

    getPlayer(playerId: string) {
        return this.players.get(playerId);
    }

    getPlayers() {
        return Array.from(this.players.values());
    }

    getPlayersCount() {
        return this.players.size;
    }
}