import { Zone } from '@prisma/client';
import prisma from '../utilities/prisma'; // Import the global Prisma instance

class ZoneRepository {
    async getFirst(): Promise<Zone | null> {
        try {
            return await prisma.zone.findFirst();
        } catch (error: any) {
            // Handle error
            throw new Error(`Failed to get first zone: ${error.message}`);
        }
    }

    async getAll(): Promise<Zone[]> {
        try {
            return await prisma.zone.findMany();
        } catch (error: any) {
            // Handle error
            throw new Error(`Failed to get all zone: ${error.message}`);
        }
    }
}

export default ZoneRepository;